%global srcname suds

Summary:  A python SOAP client
Name:     python-suds
Version:  1.1.2
Release:  3%{?dist}
License:  LGPLv3+
URL:      https://github.com/suds-community/suds
Source0:  https://github.com/suds-community/suds/archive/v%{version}.tar.gz#/%{srcname}-%{version}.tar.gz
Patch3000:   suds-pyname.patch
BuildArch: noarch

BuildRequires: python3-devel
BuildRequires: %{py3_dist pytest six}

%description
The suds project is a python soap web services client lib.  Suds leverages
python meta programming to provide an intuitive API for consuming web
services.  Objectification of types defined in the WSDL is provided
without class generation.  Programmers rarely need to read the WSDL since
services and WSDL based objects can be easily inspected.

%package -n python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname}
The suds project is a python soap web services client lib.  Suds leverages
python meta programming to provide an intuitive API for consuming web
services.  Objectification of types defined in the WSDL is provided
without class generation.  Programmers rarely need to read the WSDL since
services and WSDL based objects can be easily inspected.



%prep
%autosetup -p1 -n %{srcname}-%{version}



%build
%pyproject_wheel

%generate_buildrequires
%pyproject_buildrequires



%install
%pyproject_install
%pyproject_save_files suds



%check
%pytest



%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.md



%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.2-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.2-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Feb 24 2023 Zhao Zhen <jeremiazhao@tencent.com> - 1.1.2-1
- initial
